package com.rjconsultores.ventaboletos.rest;

import javax.annotation.security.RolesAllowed;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import com.rjconsultores.ventaboletos.utilerias.PasswordHelper;

@Path("/validaSenhaInstalacao")
public class ValidaSenhaInstalacao {

	private static Logger log = LogManager.getLogger(ValidaSenhaInstalacao.class);

	@GET
	@Produces({ MediaType.APPLICATION_JSON })
	@RolesAllowed("EMBARCADA")
	public Response validaSenhaInstalacao(@QueryParam("senha") String senha) {
		return Response.ok(Boolean.toString(validarSenhaInstalacao(senha)), MediaType.APPLICATION_JSON).build();
	}

	private boolean validarSenhaInstalacao(String senha) {
		try {
			return new PasswordHelper().getInstance().isValidPassword(senha);
		} catch (Exception e) {
			log.error("Erro ao validar senha instalação", e);
		}
		return false;
	}
}
